﻿Public Class BindingNavigator_Form
    Private block As Object = Nothing
    Private DataFileName As String = System.IO.Path.Combine(Application.StartupPath,
                                                            "data.xml")
    Private Ds As New DataSet

    Private Sub FileOpenToolStripMenuItem_Click(ByVal sender As System.Object,
                                                ByVal e As System.EventArgs) _
                                            Handles FileOpenToolStripMenuItem.Click
        Me.Cursor = Cursors.WaitCursor
        Me.Refresh()
        Try
            Ds.Tables.Clear()
            Ds.ReadXml(DataFileName)
            Ds.Tables("data").AcceptChanges()
            Me.XML_BindingSource.DataSource = Ds.Tables("data")
            With block
                Me.Date_TextBox.DataBindings.Add(New Binding("Text",
                                                             Me.XML_BindingSource,
                                                             "日付",
                                                             True))
                Me.Title_TextBox.DataBindings.Add(New Binding("Text",
                                                              Me.XML_BindingSource,
                                                              "タイトル",
                                                              True))
                Me.URL_TextBox.DataBindings.Add(New Binding("Text",
                                                            Me.XML_BindingSource,
                                                            "URL",
                                                            True))
                Me.VB_CheckBox.DataBindings.Add(New Binding("CheckState",
                                                            Me.XML_BindingSource,
                                                            "vb",
                                                            True))
                Me.Oracle_CheckBox.DataBindings.Add(New Binding("CheckState",
                                                                Me.XML_BindingSource,
                                                                "oracle",
                                                                True))
            End With
            Me.FileSaveToolStripMenuItem.Enabled = True
        Catch ex As Exception
            MessageBox.Show(ex.Message, Me.Text)
        Finally
            Me.Cursor = Cursors.Default
        End Try
    End Sub

    Private Sub FileSaveToolStripMenuItem_Click(ByVal sender As System.Object,
                                                ByVal e As System.EventArgs) _
                                            Handles FileSaveToolStripMenuItem.Click
        Ds.WriteXml(DataFileName)
        Ds.AcceptChanges()
    End Sub

    Private Sub FileExitToolStripMenuItem_Click(ByVal sender As System.Object,
                                                ByVal e As System.EventArgs) _
                                            Handles FileExitToolStripMenuItem.Click
        Me.Close()
    End Sub
End Class
